polybori::groebner::ShorterEliminationLengthModified Class Reference

This class defines ShorterEliminationLengthModified. More...

`#include <ShorterEliminationLengthModified.h>`

## Public Member Functions

| ShorterEliminationLengthModified (const GroebnerStrategy &strat, wlen_type el, deg_type lm_deg)
bool | operator() (const Exponent &e)

## Public Attributes

const GroebnerStrategy * | strat
wlen_type | el
deg_type | lm_deg

## Detailed Description

This class defines ShorterEliminationLengthModified.

## Constructor & Destructor Documentation

polybori::groebner::ShorterEliminationLengthModified::ShorterEliminationLengthModified | ( | const GroebnerStrategy & | strat,
|  | wlen_type | el,
|  | deg_type | lm_deg
| ) |  |

inline

## Member Function Documentation

bool polybori::groebner::ShorterEliminationLengthModified::operator() | ( | const Exponent & | e | ) |

inline

References polybori::BooleExponent::deg(), polybori::groebner::GroebnerStrategy::generators, and PBORI_ASSERT.

## Member Data Documentation

wlen_type polybori::groebner::ShorterEliminationLengthModified::el

deg_type polybori::groebner::ShorterEliminationLengthModified::lm_deg

const GroebnerStrategy* polybori::groebner::ShorterEliminationLengthModified::strat

The documentation for this class was generated from the following file:

- ShorterEliminationLengthModified.h